Skip to main content
PUT
/
fastedge
/
v1
/
admin
/
plans
/
{plan_id}
Update a plan
curl --request PUT \
  --url https://api.gcore.com/fastedge/v1/admin/plans/{plan_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "max_duration": 50,
  "mem_limit": 10485760,
  "max_subrequests": 123,
  "reseller_id": 0,
  "name": "enterprise-tier",
  "id": 123,
  "billing_plan_id": 0
}
'
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

plan_id
integer<int64>
required

Unique identifier of the plan to update

Body

application/json

Complete plan configuration (replaces existing)

max_duration
integer
required

Maximum execution time per request in milliseconds. Requests exceeding this limit are terminated.

Required range: x >= 1
Example:

50

mem_limit
integer
required

Maximum memory allocation per instance in bytes. Prevents runaway memory usage.

Example:

10485760

max_subrequests
integer
required
deprecated

Maximum number of outgoing HTTP requests allowed per invocation (0 disables external requests)

reseller_id
integer<int64>
default:0
required

Reseller plan ID

name
string
required

Unique plan identifier (alphanumeric and hyphens)

Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]$
Example:

"enterprise-tier"

id
integer<int64>

Plan ID

billing_plan_id
integer<int64>
default:0

Billing plan ID

Response

Plan updated successfully